<template>
  <sub-main :contents="contents"></sub-main>
</template>

<script>
export default {
  head: {
    title: 'Community Roles | THORChain.org',
    meta: [
        { property: "og:locale", content: "en_US" },
        { property: "og:type", content: "website" },
        { property: "og:title", content: "Community Roles | THORChain.org" },
        {
          property: "og:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { property: "og:url", content: process.env.baseUrl },
        { property: "og:site_name", content: "THORChain" },
        {
          property: "og:image",
          content: process.env.baseUrl + "/images/meta-community-roles.png",
        },
        { property: "og:image:width", content: "876" },
        { property: "og:image:heigh", content: "438" },
        { name: "twitter:creator", content: "@thorchain" },
        { name: "twitter:site", content: "@thorchain" },
        { name: "twitter:title", content: "Community Roles | THORChain.org" },
        {
          name: "twitter:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { name: "twitter:card", content: "summary_large_image" },
        {
          name: "twitter:image",
          content: process.env.baseUrl + "/images/meta-community-roles.png",
        },
      ],
  },
  data() {
    return {
      contents: [
        {
          component: "header",
          settings: {
            title: "Community Roles"
          },
        },
        {
          component: "lego",
          settings: [
            {
              mode: "text",
              title: "Welcoming All",
              text: "If you see the value in decentralizing liquidity, you should join the community.",
              colStart: 1,
              colSpan: 1,
              rowStart: 1,
              rowSpan: 2
            },
            {
              mode: "link",
              text: "Arbitrageurs\nTraders →",
              linkProps: this.$links("slash_arbitrageurs"),
              inactive: false,
              colStart: 2,
              colSpan: 1,
              rowStart: 1,
              rowSpan: 1
            },
            {
              mode: "link",
              text: "Cyber Security\nExperts →",
              linkProps: this.$links(""),
              inactive: true,
              colStart: 3,
              colSpan: 1,
              rowStart: 1,
              rowSpan: 1
            },
            {
              mode: "link",
              text: "Creatives →",
              linkProps: this.$links(""),
              inactive: true,
              colStart: 2,
              colSpan: 1,
              rowStart: 2,
              rowSpan: 1
            },
            {
              mode: "link",
              text: "Data\nAnalysts →",
              linkProps: this.$links(""),
              inactive: true,
              colStart: 3,
              colSpan: 1,
              rowStart: 2,
              rowSpan: 1
            },
            {
              mode: "link",
              text: "Developers →",
              linkProps: this.$links("slash_developers"),
              inactive: false,
              colStart: 4,
              colSpan: 1,
              rowStart: 1,
              rowSpan: 2
            }
          ]
        },
        {
          component: "lego",
          settings: [
            {
              mode: "link",
              text: "Liquidity\nProviders →",
              linkProps: this.$links("slash_liquidity_providers"),
              inactive: false,
              colStart: 1,
              colSpan: 1,
              rowStart: 1,
              rowSpan: 2
            },
            {
              mode: "link",
              text: "Marketers →",
              linkProps: this.$links(""),
              inactive: true,
              colStart: 2,
              colSpan: 1,
              rowStart: 1,
              rowSpan: 2
            },
            {
              mode: "link",
              text: "Node Operators →",
              linkProps: this.$links("slash_node_operators"),
              inactive: false,
              colStart: 3,
              colSpan: 2,
              rowStart: 1,
              rowSpan: 2
            }
          ]
        }
      ]
    }
  }
}
</script>

<style>

</style>